sailpoint.object

## Class ProvisioningPlan.PermissionRequest

- java.lang.Object
- - AbstractXmlObject
  - - sailpoint.object.ProvisioningPlan.GenericRequest
    - - sailpoint.object.ProvisioningPlan.PermissionRequest

Enclosing interface:
  ProvisioningPlan

    public static class ProvisioningPlan.PermissionRequest
    extends ProvisioningPlan.GenericRequest

Represents an operation on a single account permission.

### Constructor Summary

Constructors
Constructor and Description
`PermissionRequest()`
`PermissionRequest(java.util.Map src)`
`PermissionRequest(ProvisioningPlan.PermissionRequest src)`
`PermissionRequest(java.lang.String target, ProvisioningPlan.Operation op, java.util.List<java.lang.String> rights)`
`PermissionRequest(java.lang.String target, ProvisioningPlan.Operation op, java.lang.String rights)`
`PermissionRequest(java.lang.String target, java.lang.String rights)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fromMap(java.util.Map map)`
`java.lang.String` `getRights()`
`java.util.List<java.lang.String>` `getRightsList()`
`java.util.List<java.lang.String>` `getRightsListClone()` Most places that call getRightsList will turn around and pass that to Permission.setRights which will sort the list.
`java.lang.String` `getTarget()`
`ProvisioningPlan.GenericRequest` `instantiate()` GenericRequest interface
`void` `setRights(java.lang.String s)`
`void` `setRightsList(java.util.List<java.lang.String> list)`
`void` `setTarget(java.lang.String s)`
`java.util.Map` `toMap()`

### Methods inherited from class sailpoint.object.ProvisioningPlan.GenericRequest

`addValues, clone, clone, collapse, equals, get, getAddDate, getArgs, getArguments, getAssignmentId, getBoolean, getComments, getDisplayValue, getExpansionSource, getName, getOp, getOperation, getRemoveDate, getResult, getScript, getString, getTrackingId, getUnmappedName, getValue, hasArguments, hashCode, isLinkEdit, okToSimplify, put, remove, removeValues, retainValues, setAddDate, setArgs, setArguments, setAssignmentId, setComments, setDisplayValue, setExpansionSource, setLinkEdit, setName, setOp, setOperation, setRemoveDate, setResult, setScript, setTrackingId, setUnmappedName, setValue`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PermissionRequest

    public PermissionRequest()

#### PermissionRequest

    public PermissionRequest(java.util.Map src)

#### PermissionRequest

    public PermissionRequest(java.lang.String target,
                             java.lang.String rights)

#### PermissionRequest

    public PermissionRequest(java.lang.String target,
                             ProvisioningPlan.Operation op,
                             java.lang.String rights)

#### PermissionRequest

    public PermissionRequest(java.lang.String target,
                             ProvisioningPlan.Operation op,
                             java.util.List<java.lang.String> rights)

#### PermissionRequest

    public PermissionRequest(ProvisioningPlan.PermissionRequest src)

### Method Detail

#### instantiate

    public ProvisioningPlan.GenericRequest instantiate()

GenericRequest interface

Specified by:
  `instantiate` in class `ProvisioningPlan.GenericRequest`

#### getTarget

    public java.lang.String getTarget()

#### setTarget

    public void setTarget(java.lang.String s)

#### getRights

    public java.lang.String getRights()

#### setRights

    public void setRights(java.lang.String s)

#### getRightsList

    public java.util.List<java.lang.String> getRightsList()

#### getRightsListClone

    public java.util.List<java.lang.String> getRightsListClone()

Most places that call getRightsList will turn around and pass that to Permission.setRights which will sort the list. While this is usually harmless it can cause test diffs if the plan gets changed as a side effect of executing it so call this to ensure you get an independent list.

#### setRightsList

    public void setRightsList(java.util.List<java.lang.String> list)

#### toMap

    public java.util.Map toMap()

#### fromMap

    public void fromMap(java.util.Map map)